psfpages(1)			   PSF Tools			   psfpages(1)



NAME
       psfpages - list codepages known to the PSF Tools

SYNOPSIS
       psfpages [codepages]
DESCRIPTION
       If run with no arguments, psfpages lists the codepages supported by the
       psftools utilities.

       If one or more codepage names is supplied, psfpages dumps the  contents
       of the mapping tables for the named codepages.

       There are currently three sorts of codepage compiled into the psftools:
       ISO 8859 codepages, referred to by encoding name  (eg  "8859-1");  num‐
       bered codepages, referred to by their number (eg "CP437" or just "437")
       and nonstandard codepages. Currently the nonstandard codepages are:

       AMSTRAD
	      The codepage used by CP/M on the Amstrad PCW, CPC  and  Spectrum
	      +3.

       BBCMICRO
	      The  codepage  used  by  the BBC Micro (covers characters 32-127
	      only).

       PCGEM  The codepage used by GEM on the IBM PC.

       PPC437, PPC860, PPC865, PPCGREEK
	      The codepages used by the character ROM on Amstrad  PPC  laptops
	      and  their desktop counterpart, the Sinclair PC200. These differ
	      slightly from the standard codepages 437, 860 and 865  to  avoid
	      confusion between the 'epsilon' and 'element-of' characters.

       from  Unicode.org,  and	partly	from the *.uni files supplied with the
       Linux kbd-1.12 utilities. In most cases they have been modified to  re‐
       place  the  control  code entries with the glyphs that are actually ob‐
       served in the fonts. For example, compare unicode.org's CP437.TXT  with
       the output of psfpages for codepage 437.

BUGS
       The  AMSTRAD  character	7Fh  (zero without a slash) has been mapped to
       U+FF10 FULLWIDTH DIGIT ZERO, rather than to U+0030 DIGIT ZERO. This  is
       not  ideal, but it avoids the information loss of mapping two different
       character shapes to the same codepoint.

       The PCGEM character 0Ah (bell) has been mapped to U+237E  BELL  SYMBOL,
       but it's not the same sort of bell at all; the GEM character is a ding‐
       bat, but the Unicode bell is a symbol for a circuit diagram.

       Six characters in the PCGEM character set (0DAh to 0DFh) appear not  to
       be  used,  and display as blank in all known PCGEM fonts. Their mapping
       entries reflect this status; they will be ignored when a Unicode direc‐
       tory is being created, and set to blank when a PSF is written with this
       codepage.

AUTHOR
       John Elliott <seasip.webmaster@gmail.com>.

Version 1.1.1		       22 January, 2020 		   psfpages(1)
