vfont2ppm(1)			   PSF Tools			  vfont2ppm(1)



NAME
       vfont2ppm - convert a vfont or vfont2 file to a portable bitmap

SYNOPSIS
       vfont2ppm [-across=columns] [-align] [INPUTFILE [OUTPUTFILE]]
DESCRIPTION
       vfont2ppm converts a font in the .PSF format to a Portable PixMap image
       showing all its characters, 32 (by default)  to	a  line.  This	allows
       vfont  files to be previewed easily - just pipe them to "vfont2ppm | xv
       -".

       In the resulting image, the character's baseline point will be shown in
       red,  with the horizontal and vertical baselines in green. If the base‐
       line point is outside the character bitmap, the space  between  it  and
       the bitmap will be shown in yellow.

OPTIONS
       --across=columns
	      Set  the number of columns to display (32 by default). The count
	      of rows will be derived from the count of columns.   --align  By
	      default,	the  character	bitmaps  are  shown with no attempt to
	      align them horizontally or vertically - so a  character  with  a
	      descender,  like	"p",  may  appear at different height from one
	      without, like "o". If the --align option is present, their hori‐
	      zontal  and  vertical basepoints will be aligned to a grid. This
	      may result in more white space between the bitmaps.

SEE ALSO
       xv(1), psf2xbm(1)

AUTHOR
       John Elliott <seasip.webmaster@gmail.com>.

Version 1.1.1		       22 January, 2021 		  vfont2ppm(1)
