vfont2txt(1)			   PSF Tools			  vfont2txt(1)



NAME
       vfont2txt - convert a BSD vfont file to text

SYNOPSIS
       vfont2txt [INPUTFILE [OUTPUTFILE]]
DESCRIPTION
       vfont2txt  converts  a  font in the vfont(5) format to a human-readable
       textual format. The resulting file can be  edited  manually  and  later
       converted back using txt2vfont(1).

       The  file format used is as documented under txt2vfont(1). When charac‐
       ter bitmaps are output, the location of the baseline  point  is	marked
       with  an 'O' (blank) or '@' (dot) character, with '=' marking the hori‐
       zontal position of the baseline and  '|'  the  corresponding  vertical.
       When  the file is parsed by txt2vfont(1) the location of the 'O' or '@'
       (if present) will be checked against the 'Left' and  'Up'  values  that
       locate the baseline point, and a warning issued if they differ.

       The  header  of	the  file will include three purely notational fields:
       BitmapLength , MaxWidth and MaxHeight

SEE ALSO
       txt2vfont(1), psf2txt(1) txt2psf(1)

AUTHOR
       John Elliott <seasip.webmaster@gmail.com>.

Version 1.1.1		       22 January, 2020 		  vfont2txt(1)
