psf2wof(1)			   PSF Tools			    psf2wof(1)



NAME
       psf2wof - convert part or all of a PSF font to Hercules WriteOn format

SYNOPSIS
       psf2wof	[--first=FIRST]  [--last=LAST]	[--256]  [--codepage=CODEPAGE]
       [INPUTFILE [OUTPUTFILE]]
DESCRIPTION
       psf2wof saves some or all characters from a .PSF font as  a  .wof  font
       which should be suitable for the Hercules WriteOn word processor.

OPTIONS
       --codepage=x
	      Extracts only the characters in the given codepage (requires the
	      source PSF file to have a Unicode directory). Any characters  in
	      the  codepage  not  present  in  the source font are replaced by
	      blanks. The codepage can be specified by	number	or  name;  see
	      psfpages(1) for a list of acceptable codepage names.

       --first=n
	      Extracts characters starting at the specified character.

       --last=n
	      Extracts characters up to and including the specified character.

       --256  Equivalent to --first=0 --last=255.

       If  a  codepage and a range of characters are both specified, the range
       is applied to the subset of characters extracted by the codepage.

SEE ALSO
       wof2psf(1), psfpages(1)

AUTHOR
       John Elliott <seasip.webmaster@gmail.com>.

Version 1.1.1		       22 January, 2020 		    psf2wof(1)
